##############################################################################
#
#    External Jobs, for Odoo
#    Copyright © 2019, 2023, 2024 XCG Consulting (https://xcg-consulting.fr/)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
from odoo import fields, models  # type: ignore[untyped-import]


class ExtrunnerServer(models.Model):
    """Represents an extrunner server"""

    _name = "external_job.extrunner_server"
    _description = "Extrunner Server"

    _rec_name = "base_url"

    base_url = fields.Char(string="Base URL", help="Base URL of the extrunner service.")

    user_login = fields.Char(
        string="User Login",
        help="Extrunner user login for this server.",
        groups="base.group_system",
    )

    user_password = fields.Char(
        string="User Password",
        help="Extrunner user password for this server.",
        groups="base.group_system",
    )
