###############################################################################
#
#    External Job, for Odoo
#    Copyright © 2022 XCG Consulting (https://www.xcg-consulting.fr/)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
###############################################################################
from odoo import fields, models


class Jobrunner(models.TransientModel):
    """A job runner is responsible to propose a choice to the user
    filtered contextually to only propose jobs that have a definition
    related to the current object
    """

    _name = "external_job.jobrunner"
    _description = "Wizard to run a job"

    job_definition_id = fields.Many2one(
        comodel_name="external_job.job_definition", string="Job Definition"
    )

    def run_job(self):
        """Run the job"""
        return self.mapped("job_definition_id").action_run_job()
